%define _unpackaged_files_terminate_build 1

Name: phpldapadmin
Version: 2.2.1
Release: alt1

Summary: Handle the adminstration of LDAP server over the web
Summary(ru_RU.UTF8): Управление LDAP сервером через web
License: GPL-2.0
Group: Networking/WWW

Url: http://phpldapadmin.sourceforge.net
Source: %name-%version.tar.gz
Patch0: %name-convert_to_ascii.patch

Requires: apache2-mod_php8.1 php8.1-ldap

BuildArch: noarch

BuildPreReq:rpm-build-apache2

%define pla_home %_datadir/%name

%filter_from_requires /init-container/d
%filter_from_requires /docker-php-entrypoint/d

%description
%name -  is a web-based LDAP client. It provides easy, anywhere-accessible,
multi-language administration for your LDAP server. Its hierarchical tree-viewer
and advanced search functionality make it intuitive to browse and administer
your LDAP directory. Since it is a web application, this LDAP browser works on
many platforms, making your LDAP server easily manageable from any location.
%name - is the perfect LDAP browser for the LDAP professional and novice alike.
Its user base consists mostly of LDAP administration professionals.

%description -l ru_RU.UTF8
%name - доступный через сеть клиент LDAP. Он предоставляет простую, доступную,
многоязычную среду для администрирования вашего сервера LDAP. Его иерархическое
дерево просмотра и функциональные возможности ускоренного поиска делают его
интуитивно понятным, чтобы просматривать и управлять вашим каталогом LDAP.
%name - совершенный браузер LDAP для профессионала LDAP и новичков.
Его пользователи состоят главным образом из профессионалов в администрировании
LDAP.

%prep
%setup

%build

%install
install -d -m755 %buildroot%pla_home
cp -a * %buildroot%pla_home

pushd %buildroot%pla_home
find . -type f -executable | xargs chmod -x
popd

install -d -m755 %buildroot%_sysconfdir/%name

mv %buildroot%pla_home/config/* \
        %buildroot%_sysconfdir/%name
rmdir %buildroot%pla_home/config
ln -s %_sysconfdir/%name \
        %buildroot%pla_home/config
cat <<EOF >%name.conf
Alias /%name "%pla_home"

<Directory %pla_home>
    DirectoryIndex index.php
    AllowOverride None
    Options FollowSymlinks
    Require local
</Directory>

EOF

install -d %buildroot%apache2_sites_available
install -m644  %name.conf %buildroot%apache2_sites_available

%files
%doc README.md
%config %dir %_sysconfdir/%name
%attr(640,root,%apache2_user) %config(noreplace) %_sysconfdir/%name/*
%config(noreplace) %apache2_sites_available/%name.conf
%pla_home

%changelog
* Fri Jul 04 2025 Andrey Cherepanov <cas@altlinux.org> 2.2.1-alt1
- New version.

* Thu Jul 03 2025 Andrey Cherepanov <cas@altlinux.org> 2.2.0-alt1
- New version.

* Mon Jun 09 2025 Andrey Cherepanov <cas@altlinux.org> 2.1.4-alt1
- New version.

* Sun May 04 2025 Andrey Cherepanov <cas@altlinux.org> 2.1.3-alt1
- New version.

* Sat May 03 2025 Andrey Cherepanov <cas@altlinux.org> 2.1.2.1-alt1
- New version.

* Fri May 02 2025 Andrey Cherepanov <cas@altlinux.org> 2.1.2-alt1
- New version.

* Mon Apr 21 2025 Andrey Cherepanov <cas@altlinux.org> 2.1.1-alt1
- New version.

* Sat Apr 12 2025 Andrey Cherepanov <cas@altlinux.org> 2.1.0-alt1
- New version.

* Wed Mar 19 2025 Andrey Cherepanov <cas@altlinux.org> 2.0.3-alt1
- New version.

* Tue Mar 11 2025 Andrey Cherepanov <cas@altlinux.org> 2.0.2-alt1
- New version.

* Mon Mar 10 2025 Andrey Cherepanov <cas@altlinux.org> 2.0.1-alt1
- New version.

* Sun Mar 02 2025 Andrey Cherepanov <cas@altlinux.org> 2.0.0-alt1
- New version.

* Thu Jan 11 2024 Andrey Cherepanov <cas@altlinux.org> 1.2.6.7-alt1
- New version.

* Wed Jul 12 2023 Nikita Obukhov <nickf@altlinux.ru> 1.2.6.6-alt2
- Change requires from php7 to php8.1

* Wed Apr 26 2023 Andrey Cherepanov <cas@altlinux.org> 1.2.6.6-alt1
- New version.

* Tue May 19 2020 Nikita Obukhov <nickf@altlinux.org> 1.2.5-alt1
- Update to 1.2.5

* Sat Sep 24 2011 Alexey Tourbin <at@altlinux.ru> 1.1.0.6-alt2
- removed set_strip_method macro

* Sat Jan 10 2009 Slava Dubrovskiy <dubrsl@altlinux.org> 1.1.0.6-alt1
- Update to 1.1.0.6
- Update SOURCE1 from http://launchpadlibrarian.net
- Add patch for fix convert to ascii #18450 (thanks erthad@)

* Sat Nov 29 2008 Slava Dubrovskiy <dubrsl@altlinux.org> 1.1.0.5-alt2
- Add SOURCE1 for fix #18022
- Convert spec to UTF8

* Tue Feb 19 2008 Slava Dubrovskiy <dubrsl@altlinux.org> 1.1.0.5-alt1
- Update to 1.1.0.5
- Change requires from php to php5

* Mon Jan 16 2006 Slava Dubrovskiy <dubrsl@altlinux.ru> 0.9.8-alt0
- Update to 0.9.8

* Fri Nov 25 2005 Slava Dubrovskiy <dubrsl@altlinux.ru> 0.9.7.2-alt0
- Update to 0.9.7.2

* Tue Oct 25 2005 Slava Dubrovskiy <dubrsl@altlinux.ru> 0.9.7.1-alt1
- Update to 0.9.7.1-rc3

* Fri Jun 03 2005 Slava Dubrovskiy <dubrsl@altlinux.ru> 0.9.6c-alt1
- 0.9.6c
- Some spec cleanup
- Added Russian summary & description

* Fri Jan 23 2004 Michael Shigorin <mike@altlinux.ru> 0.9.3-alt1
- built for ALT Linux
